# Welcome to Network Infrastructure Visualization (NIV)

NIV is a console application to visualize network infrastructure using YAML files.

Network diagrams are commonly drawn manually, using tools like Visio or Draw.io. This makes maintaining an up-to-date representation of dynamic network environments challenging.
Currently, no modern tools appear to exist which can generate network drawings from code such as YAML. Such a machine readable format would allow administrators to  automate the visualization of a topology and to track document changes using version control.

**Key goals**
- High quality visualization wanted (for dashboards, presentations, scientific papers)
- Use YAML for infrastructure description
- Offline generation of SVG diagrams
- Hyperlink to detailed view (e.g. zoom into port utilization)

The documentation is split between the [Wiki](https://gitlab.rlp.net/top/21s/niv/niv/-/wikis/home) and [this repository](https://gitlab.rlp.net/top/21s/niv/niv):

* Rather stable documentation parts tend to be saved in the [Wiki](https://gitlab.rlp.net/top/21s/niv/niv/-/wikis/home), which is also a git repository.
* Rather short time documentation parts tend to be saved [here in this repository](https://gitlab.rlp.net/top/21s/niv/niv) in a semester oriented branch.

## Contents of this page

[[_TOC_]]

## License MIT
For details see [LICENSE.md](https://gitlab.rlp.net/top/21s/niv/niv/-/blob/main/LICENSE) in the repository.

## Legal
You can find the legal notes in German language at [Impressum und Datenschutzerklärung](https://gitlab.rlp.net/top/impressum-und-datenschutzerklaerung).


